﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Reflection;

namespace ContactMIS.DALFactory
{
  public sealed class DataAccess
    {
        private static readonly string path = ConfigurationManager.AppSettings["DAL"];

        private DataAccess() { }

        public static ContactMIS.IDAL.IContact CreateContact()
        {
            string className = path + ".Contact";
            return (ContactMIS.IDAL.IContact)Assembly.Load(path).CreateInstance(className);
        }


    }
}
