﻿using System;

namespace ContactMIS.Model
{

    /// <summary>
    /// Business entity used to model a product
    /// </summary>
    [Serializable]
    public class ContactInfo
    {

        // Internal member variables
        private int id;
        private string name;
        private string phone;


        public ContactInfo() { }


        public ContactInfo(int id, string name, string phone)
        {
            this.id = id;
            this.name = name;
            this.phone = phone;
        }

        // Properties
        public int Id
        {
            get { return id; }
        }

        public string Name
        {
            get { return name; }
        }

        public string Phone
        {
            get { return phone; }
        }

    }
}